net.sf.jasperreports.engine.export.oasis

## Class StyleCache

- java.lang.Object
- - net.sf.jasperreports.engine.export.oasis.StyleCache

-     public class StyleCache
      extends java.lang.Object

  Version:
    $Id: StyleCache.java 6614 2013-10-23 08:18:34Z shertage $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StyleCache(JasperReportsContext jasperReportsContext, WriterHelper styleWriter, java.lang.String exporterKey)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getCellStyle(JRExporterGridCell gridCell)`
    `java.lang.String` | `getColumnStyle(int columnWidth)`
    `java.util.Collection<java.lang.String>` | `getFontFaces()`
    `java.lang.String` | `getFrameStyle(JRPrintElement element)`
    `java.lang.String` | `getFrameStyle(JRPrintText text)`
    `java.lang.String` | `getGraphicStyle(JRPrintGraphicElement element)`
    `java.lang.String` | `getParagraphStyle(JRPrintText text)`
    `java.lang.String` | `getRowStyle(int rowHeight)`
    `java.lang.String` | `getTableStyle(int width, int reportIndex, boolean isFrame, boolean isPageBreak)`
    `java.lang.String` | `getTextSpanStyle(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes, java.lang.String text, java.util.Locale locale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleCache

          public StyleCache(JasperReportsContext jasperReportsContext,
                    WriterHelper styleWriter,
                    java.lang.String exporterKey)

  - ### Method Detail

    - #### getFontFaces

          public java.util.Collection<java.lang.String> getFontFaces()

    - #### getTableStyle

          public java.lang.String getTableStyle(int width,
                                       int reportIndex,
                                       boolean isFrame,
                                       boolean isPageBreak)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getRowStyle

          public java.lang.String getRowStyle(int rowHeight)
                                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getColumnStyle

          public java.lang.String getColumnStyle(int columnWidth)
                                          throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFrameStyle

          public java.lang.String getFrameStyle(JRPrintText text)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getFrameStyle

          public java.lang.String getFrameStyle(JRPrintElement element)
                                         throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getGraphicStyle

          public java.lang.String getGraphicStyle(JRPrintGraphicElement element)

    - #### getCellStyle

          public java.lang.String getCellStyle(JRExporterGridCell gridCell)

    - #### getParagraphStyle

          public java.lang.String getParagraphStyle(JRPrintText text)

    - #### getTextSpanStyle

          public java.lang.String getTextSpanStyle(java.util.Map<java.text.AttributedCharacterIterator.Attribute,java.lang.Object> attributes,
                                          java.lang.String text,
                                          java.util.Locale locale)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com